<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">


<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="default">
<html>
<head>
<title><xsl:value-of select="@host"/> playlists: <xsl:value-of select="@title"/></title>
</head>
<body>


<table bgcolor="white" border="2">

	<thead>
		<tr>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?.m3u</xsl:attribute>
					<b>Stream</b>
				</a>
			</td>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@tagfid"/>?SERIAL=%23100.xml</xsl:attribute>
					<b>Play</b>
				</a>
			</td>
			<td>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="@tagfid"/></xsl:attribute>
					<b>Tags</b>
				</a>
			</td>
			<td align="center">
				<font size="+2">
					<b><em><xsl:value-of select="@title"/></em></b>
				</font>
			</td>
			<td><b>Length</b></td>
			<td><b>Type</b></td>
			<td><b>Artist</b></td>
			<td><b>Source</b></td>
		</tr>
	</thead>	
	<tbody>
		<xsl:apply-templates select="items"/>
	</tbody>
</table>

</body>
</html>

</xsl:template>



<xsl:template match="items">

	<xsl:for-each select="item">

	<tr>
		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.m3u</xsl:attribute>
				<i>Stream</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="/default/@tagfid"/>?SERIAL=%23<xsl:value-of select="fid"/>.xml</xsl:attribute>
				<i>Play</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="tagfid"/></xsl:attribute>
				<i>Tags</i>
			</a>
		</td>

		<td>
			<a>
				<xsl:choose>
					<xsl:when test="type[.='tune']">
						<xsl:attribute name="href"><xsl:value-of select="fid"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="href"><xsl:value-of select="tagfid"/>?.xml</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="title"/>
			</a>
		</td>

		<td align="center">
			<xsl:choose>
				<xsl:when test="type[.='tune']">
					<xsl:value-of select="duration"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="length"/>
				</xsl:otherwise>
			</xsl:choose>
		</td>

		<td>
			<xsl:value-of select="type"/>
		</td>

		<td>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
				<xsl:value-of select="artist"/>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		</td>

		<td>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			<xsl:value-of select="source"/>
			<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		</td>
	</tr>

	</xsl:for-each>

</xsl:template>


</xsl:stylesheet>
